> ## Documentation Index
> Fetch the complete documentation index at: https://docs.tembo.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Update an agent trigger

> Update an agent trigger



## OpenAPI

````yaml https://api.tembo.io/public-api/openapi/public patch /v1/agents/{agentId}/triggers/{triggerId}
openapi: 3.1.0
info:
  title: Tembo Public API
  description: Public API Endpoints for Tembo
  version: 1.0.0
servers:
  - url: https://api.tembo.io
    description: Tembo API
  - url: https://{deployment-origin}/api/public-api
    description: Self-hosted Tembo
    variables:
      deployment-origin:
        default: tembo.example.com
        description: Hostname of your self-hosted Tembo deployment
security: []
paths:
  /v1/agents/{agentId}/triggers/{triggerId}:
    patch:
      tags:
        - Agents
      summary: Update an agent trigger
      description: Update an agent trigger
      operationId: updateAgentTrigger
      parameters:
        - in: path
          name: agentId
          schema:
            type: string
            format: uuid
          required: true
        - in: path
          name: triggerId
          schema:
            type: string
            format: uuid
          required: true
      requestBody:
        content:
          application/json:
            schema:
              type: object
              properties:
                name:
                  type: string
                  minLength: 1
                  maxLength: 200
                integrationId:
                  type: string
                  format: uuid
                filters:
                  type: object
                  additionalProperties:
                    $ref: '#/components/schemas/AgentJsonValue'
              required:
                - name
              additionalProperties: false
      responses:
        '200':
          description: Update an agent trigger
          content:
            application/json:
              schema:
                type: object
                properties:
                  id:
                    type: string
                    format: uuid
                  triggerName:
                    type: string
                  enabledAt:
                    type:
                      - string
                      - 'null'
                    format: date-time
                  createdAt:
                    type: string
                    format: date-time
                  updatedAt:
                    type: string
                    format: date-time
                  agentId:
                    type: string
                    format: uuid
                  triggerDisplayName:
                    type: string
                    minLength: 1
                    maxLength: 200
                  integrationId:
                    type:
                      - string
                      - 'null'
                    format: uuid
                  integrationType:
                    type:
                      - string
                      - 'null'
                  filters:
                    type: object
                    additionalProperties:
                      $ref: '#/components/schemas/AgentJsonValue'
                required:
                  - id
                  - triggerName
                  - enabledAt
                  - createdAt
                  - updatedAt
                  - agentId
                  - triggerDisplayName
                  - integrationId
                  - integrationType
                  - filters
                additionalProperties: false
        '400':
          description: Invalid request
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
                required:
                  - error
                additionalProperties: false
        '404':
          description: Resource not found
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
                required:
                  - error
                additionalProperties: false
        '409':
          description: Resource conflict
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
                required:
                  - error
                additionalProperties: false
        '500':
          description: Agent operation failed
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
                required:
                  - error
                additionalProperties: false
      security:
        - apiKey: []
components:
  schemas:
    AgentJsonValue:
      anyOf:
        - type: 'null'
        - type: boolean
        - type: number
        - type: string
        - type: array
          items:
            $ref: '#/components/schemas/AgentJsonValue'
        - type: object
          additionalProperties:
            $ref: '#/components/schemas/AgentJsonValue'
  securitySchemes:
    apiKey:
      type: http
      scheme: bearer

````